Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.steps
Class StepCandidate

    java.lang.Object
      org.jbehave.core.steps.StepCandidate

    public class StepCandidate

extends Object

A StepCandidate is associated to a Java method annotated with `Given`, `When`, `Then` in a steps instance class. The StepCandidate is responsible for matching the textual step against the pattern contained in the method annotation via the `StepMatcher` and for the creation of the matched executable step via the `StepCreator`.

Constructor Summary
`StepCandidate(String patternAsString, int priority, StepType stepType, Method method, Class<?> stepsType, InjectableStepsFactory stepsFactory, Keywords keywords, StepPatternParser stepPatternParser, ParameterConverters parameterConverters, ParameterControls parameterControls)`

Method Summary
`void` | `addComposedSteps(List<Step> steps, String stepAsString, Map<String,String> namedParameters, List<StepCandidate> allCandidates)`
`void` | `composedOf(String[] steps)`
`String[]` | `composedSteps()`
`Step` | `createMatchedStep(String stepAsString, Map<String,String> namedParameters)`
`void` | `doDryRun(boolean dryRun)`
`Method` | `getMethod()`
`String` | `getPatternAsString()`
`Integer` | `getPriority()`
`String` | `getStartingWord()`
`Object` | `getStepsInstance()`
`Class<?>` | `getStepsType()`
`StepType` | `getStepType()`
`boolean` | `ignore(String stepAsString)`
`boolean` | `isAndStep(String stepAsString)`
`boolean` | `isComposite()`
`boolean` | `isIgnorableStep(String stepAsString)`
`boolean` | `isPending()`
`boolean` | `matches(String stepAsString)`
`boolean` | `matches(String step, String previousNonAndStep)`
`String` | `toString()`
`void` | `useParanamer(com.thoughtworks.paranamer.Paranamer paranamer)`
`void` | `useStepMonitor(StepMonitor stepMonitor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StepCandidate

    public StepCandidate(String patternAsString,
                         int priority,
                         StepType stepType,
                         Method method,
                         Class<?> stepsType,
                         InjectableStepsFactory stepsFactory,
                         Keywords keywords,
                         StepPatternParser stepPatternParser,
                         ParameterConverters parameterConverters,
                         ParameterControls parameterControls)

Method Detail

### getMethod

    public Method getMethod()

### getPriority

    public Integer getPriority()

### getPatternAsString

    public String getPatternAsString()

### getStepsInstance

    public Object getStepsInstance()

### getStepsType

    public Class<?> getStepsType()

### getStepType

    public StepType getStepType()

### getStartingWord

    public String getStartingWord()

### useStepMonitor

    public void useStepMonitor(StepMonitor stepMonitor)

### doDryRun

    public void doDryRun(boolean dryRun)

### useParanamer

    public void useParanamer(com.thoughtworks.paranamer.Paranamer paranamer)

### composedOf

    public void composedOf(String[] steps)

### isComposite

    public boolean isComposite()

### composedSteps

    public String[] composedSteps()

### ignore

    public boolean ignore(String stepAsString)

### isPending

    public boolean isPending()

### matches

    public boolean matches(String stepAsString)

### matches

    public boolean matches(String step,
                           String previousNonAndStep)

### createMatchedStep

    public Step createMatchedStep(String stepAsString,
                                  Map<String,String> namedParameters)

### addComposedSteps

    public void addComposedSteps(List<Step> steps,
                                 String stepAsString,
                                 Map<String,String> namedParameters,
                                 List<StepCandidate> allCandidates)

### isAndStep

    public boolean isAndStep(String stepAsString)

### isIgnorableStep

    public boolean isIgnorableStep(String stepAsString)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.